Multiple Conversions
Multiple Conversions entities and endpoints of the Amplify API.
Multiple Conversions gives the ability to track any of the actions a user takes after clicking through to your content. You can track everything from top of funnel (page landings and time on site) to bottom of funnel (e-book downloads and product purchases).
Please note: This new feature requires the installation of the new multiple conversion pixel which can be retrieved from your account on Outbrain.com. If you have the old conversion pixel placed you will need to remove that before installing the Multiple Conversion Pixel. If both pixels are installed there will be overcounting of data and results will be inaccurate.
Conversion Event
The Conversion Event object has the following attributes:
| Property | Type | Semantic | Example |
|---|---|---|---|
| id | String | The id of this Conversion Event. read-only | "00f4b02153ee75f3c9dc4fc128ab041962" |
| name | String | The name of this Conversion Event. | "My Conversion Event" |
| type | ConversionEventType | The type of this Conversion Event | URL_BASED |
| url | String | The url configured for this Conversion Event | "/thank-you" |
| marketerId | String | The marketer Id of this Conversion Event | "00f4b02153ee75f3c9dc4fc128ab041962" |
| enabled | Boolean | Indicates if the Conversion Event is enabled You can have up to 60 enabled conversions at one time | true |
| conversionWindow | Integer | The conversion window you’re looking to track. This is the time it takes from click to conversion. The default is 60 days, but you may select any whole number between 1-60. | 50 |
| includeInConversions | Boolean | Indicates if you’d like to include these conversions in your total conversions reporting | true |
| trackingStatus | TrackingStatus | Indicates if the conversion event is active or inactive | ACTIVE |
| category | ConversionEventCategory | The category of this Conversion Event | PURCHASE |
| orderValue | OrderValue | The value of your conversion to help track overall ROI. | '{"value": 100, "currency": "USD"}' |
| segment | ConversionEventSegment | The conversion segment, if such exists. read-only | |
| lastModified | Date | The time when the Conversion Event was last modified. read-only | "2013-03-16 10:32:31" |
| creationTime | Date | The time when the Conversion Event was created. read-only | "2013-01-18 07:19:16" |
| timeOnPageSettingValue | Integer | Relevant only for TIME_ON_PAGE engagment conversions. The number of seconds a user stays on a page with Outbrain pixel, that will trigger the conversion TIME_ON_PAGE | 30 |
| scrollDepthSettingValue | Integer | Relevant only for SCROLL_DEPTH engagment conversions. The percentage of scroll (out of the total webview) a user performs on a page with Outbrain pixel, that will trigger the conversion SCROLL_DEPTH | 50 |
| source | String | Relevant only for SCROLL_DEPTH and TIME_ON_PAGE engagment conversions. The should always say "OUTBRAIN" | "OUTBRAIN" |
Endpoints
- Retrieve a Single Conversion Event —
GET /conversionEvents/{id} - Create a Conversion Event —
POST /marketers/{marketerId}/conversionEvents - Update a Conversion Event —
PUT /conversionEvents/{id}
Conversion Event collection
Endpoints
- Retrieve all Marketer's Conversion Events —
GET /marketers/{id}/conversionEvents
Conversion Event collection
Endpoints
- Retrieve Marketer's Engagement Metrics —
GET /marketers/{id}/engagementMetrics